/// <reference types="node" />
export declare namespace CryptoUtils {
    function generateSaltForPwHash(): Promise<Buffer>;
    function encryptMessage(message: Buffer, passphrase: string, salt: Buffer): Promise<Buffer>;
    function decryptMessage(message: Buffer, passphrase: string, salt: Buffer): Promise<Buffer>;
    function generateKeys(seed: Buffer): Promise<{
        secretKey: any;
        publicKey: any;
    }>;
    function recoverPublicKey(secretKey: Buffer): Promise<{
        secretKey: any;
        publicKey: any;
    }>;
    function signDetached(payload: Buffer, secretKey: Buffer): Promise<Buffer>;
    function checkSignature(signature: Buffer, payload: Buffer, publicKey: Buffer): Promise<boolean>;
}
